Moving media files to Commons ought to be much easier, automatic
Closed, ResolvedPublic

Description

Author: mi+wikipedia

Description:
Hello!

I have uploaded dozens of images to the English-language wikipedia, but would
like to be able to use them on Ukrainian project as well. Turns out, I should've
been uploading to Commons instead.

This is surprisingly and unduly difficult and unintuitive -- apparently, the
procedure currently involves reuploading each image to Commons from the
beginning and then asking the admin to delete the language-specific pictures to
save space.

This begs for improvement:

  1. Ideally, it should be possible for different language wikis to

cross-reference each other's media similarly to how they can already
cross-reference each other's articles. Something like
[[Image:en:Flying-Antelope-Okavango.jpg]] makes sense.

  1. Less ideally, all media with sufficiently permissive licenses should move

from their respective language-specific wikipedias to commons once and
automatically.

  1. All new media uploaded to any of the projects under sufficiently permissive

license should automatically end up in the Commons upon upload.

  1. If the 2) above is not possible, each media-file's page should have a

button/link allowing to move the file (and its derivatives such as thumbnails)
to Commons directly. 3) should still apply even if 2) is not implemented.

  1. is best, because it avoids the major shake ups as well as spares figuring out

the different licences handled by different projects.

I understand, that 2) would be a major one-time undertaking, but the benefits
will be huge too. First, a large number of files are, no doubt, currently
duplicated on several language-specific projects each. Second, barring 1), this
is the only way to immediately make the files, that are already _legally_
available for wide use, also be _techincally_ available.

Thanks for your time and consideration of this urgent enhancement request.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz5283.
bzimport created this task.Via LegacyMar 18 2006, 7:03 AM
bzimport added a comment.Via ConduitMar 18 2006, 4:35 PM

robchur wrote:

At the moment, I'm going to set this to be a software issue, because the code
isn't there to support it. Later, it *does* become a Wikimedia issue, for the
configuration.

bzimport added a comment.Via ConduitMar 26 2006, 8:03 PM

mi+wikipedia wrote:

Ping. Any ETAs? Thanks!

bzimport added a comment.Via ConduitMar 26 2006, 8:10 PM

mi+wikipedia wrote:

Actually, the points 3) and 4) can be implemented immediately, can't they?

  1. All new media uploaded to any of the projects under sufficiently permissive

license should automatically end up in the Commons upon upload.

  1. Each media-file's page should have a button/link allowing to move the file

(and its derivatives such as thumbnails) to Commons directly.

The move mentioned in 4) can preserve all of the original text and history, plus
the "Moved to Commons from foo.wikipedia.org by Bar on TIMESTAMP".

bzimport added a comment.Via ConduitMar 31 2006, 6:50 AM

robchur wrote:

(In reply to comment #3)

Actually, the points 3) and 4) can be implemented immediately, can't they?

Er, no, hence the reason this wasn't closed on sight as being already done/doable.

bzimport added a comment.Via ConduitMay 17 2006, 7:48 PM

bkell wrote:

The most important issue in my opinion is that the file history is completely
lost when a file is "moved" to the Commons by being reuploaded. This destroys
all record of the original author and subsequent contributors, making it
impossible, for example, to contact these people to see whether the file can be
licensed under something other than the GFDL. It also destroys the primary
evidence Wikipedia has to support its claim that the file is indeed freely licensed.

Magnus added a comment.Via ConduitJun 13 2006, 8:42 AM

Workaround : http://tools.wikimedia.de/~magnus/commonshelper.php
Can do the upload fully automated (currently inactive due to some concerns)
and/or be prefilled with parameters passed as URL

bzimport added a comment.Via ConduitAug 15 2006, 6:19 PM

mi+wikipedia wrote:

How about the work-around 1)? Can't this be implemented the easiest?

bzimport added a comment.Via ConduitAug 15 2006, 7:04 PM

robchur wrote:

(In reply to comment #7)

How about the work-around 1)? Can't this be implemented the easiest?

No, it can't.

daniel added a comment.Via ConduitAug 15 2006, 7:14 PM

see bug 6071 for some thoughts on implementation

bzimport added a comment.Via ConduitNov 19 2006, 10:57 PM

ayg wrote:

*** Bug 7987 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitNov 19 2006, 11:08 PM

hugo.lpz wrote:

Copy from Bug 7987 :

It should be great to have a more convenient way to move image from a wikipedia
to commons.
I think it's a really big work and about License, so I just talk about this
without hope to get this improvement soon :]
I just want to say : "one day that will be need, there can be some ideas".

Proposition 1

In http://commons.wikimedia.org/wiki/Special:Upload , the field "source file",
may be able to say:
# fr
# Image:Whale_3.png
# complete the other fields.
then the french media file Image:Whale_3.png will be move to commons, and delete
on wiki fr.

Proposition 2

Many Media files are clearly free of use, but on only one wikipedia such
en.wikipedia.org. The problem is that the move to commons is nowadays too long.
It should be great if administrator can have a button such "move to commons"
when we are in front of Media Files.

The trusted admin "Marcel" find a media file '''free of use''' on his little

wikipedia.fr

  1. he clic on the button "move to commons",
  2. the media file is move to commons, with the good history, showing as uploader

on commons the former french wikipedia (not the trusted admin, which doesn't
appear in the history of the file.)

On the french page, the history of upload is :

  • 19:30, 5 November 2006 [[user:Micheletb]] (Talk)

After the move, on the commons page, the history can be :

  • [Time], [Day MONTH YEAR] - [[:FR:user:Marcel]] (Talk) - uploaded from fr.
  • 19:30, 5 November 2006 [[:FR:user:Micheletb]] (Talk) - image d'un Elephant

License issue :

  1. Copying the text from fr to commons. Template are often the same.
  2. choice in the list of license (same that in

http://commons.wikimedia.org/wiki/Special:Upload)

bzimport added a comment.Via ConduitMar 17 2009, 5:32 PM

mike.lifeguard+bugs wrote:

Could upload-by-url be used for this if we could restrict the URL to only WMF domains? Presumably grabbing the text of the image description page can be done by querying Special:Export on the "other" wiki & use the upload-by-url code for the image itself. Might be a starting point at least.

gpaumier added a comment.Via ConduitDec 29 2009, 8:59 PM
  • Bug 14957 has been marked as a duplicate of this bug. ***
Reedy added a comment.Via ConduitFeb 9 2012, 10:21 PM
  • This bug has been marked as a duplicate of bug 20512 ***
Gilles added a project: Multimedia.Via WebDec 4 2014, 10:53 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.